Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::RandomGenerator Struct Reference

random generator that can be used in multithreaded contexts More...

`#include <utils.h>`

## Public Member Functions
int | rand_int ()
| random positive integer
long | rand_long ()
| random long
int | rand_int (int max)
| generate random integer between 0 and max-1
float | rand_float ()
| between 0 and 1
double | rand_double ()
| RandomGenerator (long seed=1234)

## Public Attributes
std::mt19937 | mt

## Detailed Description

random generator that can be used in multithreaded contexts

Definition at line 48 of file utils.h.

The documentation for this struct was generated from the following files:

- /tmp/faiss/utils.h
- /tmp/faiss/utils.cpp